import { BlockchainEventEmitter as e } from "./BlockchainEventEmitter.mjs";
import { PollingEventHelper as t } from "../helpers/PollingEventHelper.mjs";
//#region libs/shared/common/src/data-structures/event-service/evm/PollingBlockchainEventEmitter.ts
var n = class extends e {
	pollingEventHelper = new t(this.isServer);
	clear() {
		this.pollingEventHelper.clear();
	}
	startUpdateListener() {
		this.pollingEventHelper.startUpdateListener(async () => {
			await this.retrieveEvents(this.latestBlockNumber);
		});
	}
};
//#endregion
export { n as PollingBlockchainEventEmitter };
